FDWRITE(1)

NAME
fdwrite - format and write floppy disks

SYNOPSIS
fdwrite [-v] [-y] [-f inputfile] [-d device]

DESCRIPTION
The fdwrite utility formats and writes one and more floppy disks. Any floppy disk device capable of formatting can be used.

The fdwrite utility will ask the user (on /dev/tty) to insert a new floppy and press return. The device will then be opened, and queried for its parameters, then each track will be formatted, written with data from the inputfile, read back and compared. When the floppy disk is filled, the process is repeated, with the next disk. This continues until the program is interrupted or EOF is encountered on the inputfile.

The options are as follows:

-v  Toggle verbosity on stdout. Default is ``on''. After device is opened first time the format will be printed. During operation progress will be reported with the number of tracks remaining on the current floppy disk, and the letters I, Z, F, W, R and C, which indicates completion of Input, Zero-fill, Format Write, Read and Compare of current track respectively.

-y  Do not ask for presence of a floppy disk in the drive. This non-interactive flag is useful for shell scripts.

-f inputfile
    Input file to read. If none is given, stdin is assumed.

-d device
    The name of the floppy device to write to. Default is /dev/fd0.

The fdwrite utility actually closes the device while it waits for the user to press return, it is thus quite possible to use the drive for other purposes at this time and later resume writing with the next floppy.

The parameters returned from device are used for formatting. If custom formatting is needed, please use fdformat(1) instead.

EXAMPLES
The fdwrite utility was planned as a tool to make life easier when writing a set of floppies, one such use could be to write a tar-archive:

    tar cf - . | gzip -9 | fdwrite -d /dev/fd0.1720 -v

The main difference from using tar(1)'s multivolume facility is of course the formatting of the floppies, which here is done on the fly, thus reducing the amount of work for the floppy-jockey.

SEE ALSO
fdformat(1)

HISTORY
The fdwrite utility was written while waiting for ``make world'' to complete. Some of the code was taken from fdformat(1).

AUTHORS
The program has been contributed by Poul-Henning Kamp <phk@FreeBSD.org>.

BUGS
Diagnostics are less than complete at present.

If a floppy is sick, and the inputfile is seekable, it should ask the user to frisbee the disk, insert another, and rewind to the right spot and continue.

This concept could be extended to cover non-seekable input also by employing a temporary file.

An option (defaulting to zero) should allow the user to ask for retries in case of failure.

At present a suitable tool for reading back a multivolume set of floppies is missing. Programs like tar(1) for instance, will do the job, if the data has not been compressed. One can always trust dd(1) to help out in this situation of course.